{% extends 'base.html.twig' %}

{% block title %}Participations des bénévoles{% endblock %}

{% block body %}

    <main class="container mt-0 md:mt-12">
        <h1>Participations des bénévoles -  {{ edition.name }} ({{ edition.year }})</h1>

		  {% for message in app.flashes('success') %}
				<div class="flash-message flash-success">
					{{ message }}
				</div>
		  {% endfor %}


		<div class="flex flex-col my-6">
			<div class="py-2 -my-2 overflow-x-auto sm:-mx-6 sm:px-6 lg:-mx-8 lg:px-8">
				<div class="inline-block min-w-full overflow-hidden align-middle border-b border-gray-200 shadow sm:rounded-lg">
					<input type="text" name="searchTableProposition" placeholder="Recherchez parmi les propositions">
					<table id="searchTableProposition" class="min-w-full">
						<thead>
							<tr>
								<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
									Bévévole
								</th>
								<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
									Activités souhaitées
								</th>
								<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
									Disponibilités
								</th>
								<th class="px-6 py-3 border-b border-gray-200 bg-gray-50"></th>
							</tr>
						</thead>

						<tbody class="bg-white">
							{% for proposition in propositions %}
								<tr>
									<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
										<div class="text-sm font-medium leading-5 text-gray-900">{{ proposition.volunteer.user.surname }} {{ proposition.volunteer.user.name }}</div>
										<div class="text-sm leading-5 text-gray-500">{{ proposition.volunteer.user.phone }}</div>
									</td>
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
                                        {{ proposition.activityChoices | join('\n') | nl2br}}
									</td>
									<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
                                        {% for slot in proposition.slots %}
                                            {{ slot.day | trans({}, 'proposition') }} : {{ slot.start|format_datetime('none', 'short', locale="fr") }} à {{ slot.end|format_datetime('none', 'short', locale="fr") }}
                                            <br>
                                        {% endfor %}
									</td>
									<td class="px-6 py-4 text-sm font-medium leading-5 text-right whitespace-no-wrap border-b border-gray-200">
                                        <form method="post" action="{{ path('proposition_delete', {'id': proposition.id}) }}" onsubmit="return confirm('Êtes-vous vraiment sûr de vouloir annuler votre participation ?');">
                                            <input type="hidden" name="_method" value="DELETE">
                                            <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ proposition.id) }}">
                                            <button class="text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Supprimer</button>
                                        </form>
									</td>
								</tr>
							{% else %}
								<tr>
									<td class="px-6 py-4" colspan="9">Aucune propositions</td>
								</tr>
							{% endfor %}
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</main>
{% endblock %}
